### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel
    - ExpandPanelProps

## Index

### Properties

- childLabel
- childLabelProp
- childPath
- config
- enableMoveDown
- enableMoveUp
- expanded
- index
- path
- renderers
- rootSchema
- schema
- uischema
- uischemas

### Methods

- handleExpansion

## Properties

### childLabel

childLabel: string

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:55

### Optional childLabelProp

childLabelProp: string

Inherited from OwnPropsOfExpandPanel.childLabelProp

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:50

### childPath

childPath: string

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:56

### config

config: any

Inherited from OwnPropsOfExpandPanel.config

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:49

### enableMoveDown

enableMoveDown: boolean

Overrides OwnPropsOfExpandPanel.enableMoveDown

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:59

### enableMoveUp

enableMoveUp: boolean

Overrides OwnPropsOfExpandPanel.enableMoveUp

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:58

### expanded

expanded: boolean

Inherited from OwnPropsOfExpandPanel.expanded

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:44

### index

index: number

Inherited from OwnPropsOfExpandPanel.index

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:40

### path

path: string

Inherited from OwnPropsOfExpandPanel.path

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:41

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.renderers

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:45

### rootSchema

rootSchema: JsonSchema

Inherited from OwnPropsOfExpandPanel.rootSchema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:46

### schema

schema: JsonSchema

Inherited from OwnPropsOfExpandPanel.schema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:43

### uischema

uischema: ControlElement

Inherited from OwnPropsOfExpandPanel.uischema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:42

### uischemas

uischemas: object[]

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:57

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- Inherited from OwnPropsOfExpandPanel.handleExpansion

  - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:51

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc